> For the complete documentation index, see [llms.txt](https://docs.facefusion.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.facefusion.io/usage/cli-arguments/processors/frame-colorizer.md).

# Frame Colorizer

## CLI Arguments

### Frame Colorizer Model

Choose the model responsible for colorizing the frame.

Argument: `--frame-colorizer-model`

Default: `ddcolor`

Choices:

* `ddcolor`
* `ddcolor_artistic`
* `deoldify`
* `deoldify_artistic`
* `deoldify_stable`

Example: `--frame-colorizer-model deoldify`

### Frame Colorizer Size

Specify the frame size provided to the frame colorizer.

Argument: `--frame-colorizer-size`

Default: `256x256`

Choices:

* `256x256`
* `384x384`
* `512x512`

Example: `--frame-colorizer-size 512`

### Frame Colorizer Blend

Blend the colorized into the previous frame.

Argument: `--frame-colorizer-blend`

Default: `100`

Range: `0` to `100` at `1`

Example: `--frame-colorizer-blend 100`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

<pre class="language-ini"><code class="lang-ini">[processors]
frame_colorizer_model = deoldify
frame_colorizer_size = 512
<strong>frame_colorizer_blend = 100
</strong></code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/processors/frame-colorizer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
